VirtualBox

Ticket #3568 (closed defect: fixed)

Opened 5 years ago

Last modified 6 months ago

Callee RC: NS_ERROR_FACTORY_NOT_REGISTERED 0x80040154 unrelated to /tmp permissions => Fixed in SVN

Reported by: aanno Owned by:
Priority: minor Component: other
Version: VirtualBox 2.1.4 Keywords:
Cc: Guest type: other
Host type: Linux

Description

After installing VirtualBox 2.1.4 on my Samsung NC20 (running a 64-bit (x)ubuntu linux) I've got the following error when I try to run VirtualBox:

Callee RC: NS_ERROR_FACTORY_NOT_REGISTERED 0x80040154

I googled the net, and checked the /tmp permission several times. In addition I tried to run VirtualBox as root. Always the same error.

Perhaps this because the NC20 is some kind of exotic hardware: processor is a VIA Nano, chipset is VIA VX800 (including a S3 chrome9 integrated embedded graphic).

Change History

comment:1 Changed 5 years ago by frank

Which package (please exact package name) did you install?

comment:3 Changed 5 years ago by frank

Any chance to try the proper Ubuntu package from our download site?

comment:4 Changed 5 years ago by aanno

Well, tried virtualbox-2.1_2.1.4-42893_Ubuntu_intrepid_amd64.deb . Same story. Cheers, Thomas

comment:5 Changed 5 years ago by frank

Another question: Did this error message appear the first time you started the VirtualBox GUI or did you change some setting and/or created a virtual machine? That is, does the same error happen if you start from a fresh installation, that is without a ~/.VirtualBox directory?

comment:6 Changed 5 years ago by aanno

No this is a fresh install. Tried after deleting ~/.VirtualBox as well. In addition I'm using VirtualBox on 2 other machines with much more success. I'm still thinking it's the hardware...

comment:7 Changed 5 years ago by frank

Hmm, wild guess: Are there any USB devices attached to that machine? Could you try to remove the USB devices and see if that changes something?

comment:8 Changed 5 years ago by aanno

Well, nothing is attached. However, there is something in the box. Difficult to turn these off, thought.

$ lsusb

Bus 004 Device 002: ID 0a5c:2101 Broadcom Corp. A-Link BlueUsbA2 Bluetooth

Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Bus 001 Device 002: ID 0ac8:c326 Z-Star Microelectronics Corp.

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

comment:9 Changed 5 years ago by frank

Could you try the following:

sudo chmod u+s /usr/bin/strace
strace -s128 -f -o ~/log /usr/lib/virtualbox/VirtualBox

Wait for about 10 seconds until the bash prompt re-appears. Please send the resulting log file (compressed!) to frank _dot_ mehnert _at_ sun _dot_ com. Please don't forget to mention the ticket number in the subject.

comment:10 Changed 5 years ago by dk75

I have this same problem on 64bit Ubuntu 8.10 desktop with every VirtualBox above 2.0.4

:~# uname -a Linux Yakumo 2.6.27-11-generic #1 SMP Thu Jan 29 19:28:32 UTC 2009 x86_64 GNU/Linux

:~# lsusb Bus 002 Device 003: ID 058f:6362 Alcor Micro Corp. Hi-Speed 21-in-1 Flash Card Reader/Writer (Internal/External) Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

:~# groups dk75 adm dialout fax cdrom tape audio dip video plugdev users scanner fuse lpadmin netdev admin sambashare nut vboxusers uml-net

:~# ls -lAd /tmp/.vbox* drwx--S--- 2 dk75 root 40 2009-04-05 10:19 /tmp/.vbox-dk75-ipc

(I could change owner, group, delete this - no matter, VB make new file with that MOD and OWN)

No matter that I run as user or root.

As standard Ubuntu 8.10 installation and Xorg 1.5.2 DBUS and HAL must and is running all the time. Package: 2.1.4-42893_Ubuntu_intrepid_(download.virtualbox.org)

but as I see in Synaptics package manager vbox modules are installed for 2.6.27-9 kernel when I use 2.6.27-11 ?????????

strace log:  http://www.fileden.com/files/2006/12/11/497871/misc/ubuntu/Ibex/strace.vbox.log.tar.gz

comment:11 Changed 5 years ago by frank

  • Summary changed from Callee RC: NS_ERROR_FACTORY_NOT_REGISTERED 0x80040154 unrelated to /tmp permissions to Callee RC: NS_ERROR_FACTORY_NOT_REGISTERED 0x80040154 unrelated to /tmp permissions => Fixed in SVN

aanno tried a debug build of the current trunk and was not able to reproduce the problem anymore. Therefore I consider this problem as fixed. If it still happens with the next release (expected soon), please reopen this ticket.

comment:12 follow-up: ↓ 13 Changed 5 years ago by ikrabbe

This bug remains in 2.2.0_OSE. I still have the same error when trying to create a new session. What I detected in my test was, that the HardDisks I'm trying to create, are not created where I want them to be. I tried some external partition as well as my home directory. That doesn't works.

The Harddisk I created was wrongly created in .VirtualBox/HardDisks, which is (sorry) a real dumb location, but ok as default.

I assume there is something wrong with the file handling. I had a VirtualBox installation in system before, which I completely removed now to create the new 2.2.0 build. The 2.1.4 build before was made with the older code still installed (somewhere else ofc).

comment:13 in reply to: ↑ 12 ; follow-up: ↓ 14 Changed 5 years ago by ikrabbe

Replying to ikrabbe:

This bug remains in 2.2.0_OSE. I still have the same error when trying to create a new session. What I detected in my test was, that the HardDisks I'm trying to create, are not created where I want them to be. I tried some external partition as well as my home directory. That doesn't works.

The Harddisk I created was wrongly created in .VirtualBox/HardDisks, which is (sorry) a real dumb location, but ok as default.

Sorry, that was a testing error, the HardDisk creation actually works, but the error still remains.

At the time of the error the strace revealed: open("/home/ingo/Software/foreign/VirtualBox-2.2.0_OSE/out/linux.amd64/release/bin/components/VBoxC.so", O_RDONLY) = 23 read(23, "\177ELF\21\1\0\0\0\0\3>\01\0\0q\2\0\0@"..., 832) = 832 fstat(23, {st_mode=S_IFREG|0755, st_size=4239141, ...}) = 0 mmap(NULL, 2854984, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 23, 0) = 0x7f570af32000 mprotect(0x7f570afdb000, 2093056, PROT_NONE) = 0 mmap(0x7f570b1da000, 69632, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 23, 0xa8000) = 0x7f570b1da000 mmap(0x7f570b1eb000, 72, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f570b1eb000 close(23) = 0 open("/home/ingo/Software/foreign/VirtualBox-2.2.0_OSE/out/linux.amd64/release/bin/components/VBoxVMM.so", O_RDONLY) =-1 ENOENT (No such file or directory) open("/etc/ld.so.cache", O_RDONLY) = 23 fstat(23, {st_mode=S_IFREG|0644, st_size=230522, ...}) = 0 mmap(NULL, 230522, PROT_READ, MAP_PRIVATE, 23, 0) = 0x7f570bca4000 close(23) = 0 open("/lib64/VBoxVMM.so", O_RDONLY) = -1 ENOENT (No such file or directory) open("/usr/lib64/tls/VBoxVMM.so", O_RDONLY) = -1 ENOENT (No such file or directory) open("/usr/lib64/VBoxVMM.so", O_RDONLY) = -1 ENOENT (No such file or directory)

This happens during the press callback to Finish in the New Session dialog.

comment:14 in reply to: ↑ 13 Changed 5 years ago by ikrabbe

Sorry for the buggy format but I don't bother to read WikiFormatting.

open("/home/ingo/Software/foreign/VirtualBox-2.2.0_OSE/out/linux.amd64/release/bin/components/VBoxVMM.so" , O_RDONLY) =-1 ENOENT

This is actually located in the path above that (..): /home/ingo/Software/foreign/VirtualBox-2.2.0_OSE/out/linux.amd64/release/bin/VBoxVMM.so

Though copying this file to components corrects the strace error there are more library errors (as more .so files are located in the bin/ path not in bin/components/)

Copying all *.so files to components actually solves the problem. So its a path quirk. Very simple. Please fix in the next release.

comment:15 Changed 5 years ago by dk75

I've cleanly installed "virtualbox-2.2_2.2.0-45846_Ubuntu_intrepid_amd64.deb" ( deleted everything related beforehand ) but it have this same error during startup and it don't even start after that.

Strace:  VBox_strace_2009-04-13_20:12:00.log

comment:16 follow-up: ↓ 18 Changed 5 years ago by frank

dk75, please could you repeat that strace? Please make sure that no VBoxSVC daemon is running before you start.

ikrabbe, your fix might work but is not correct. Please could you tell me how do you install the binaries of the OSE version, do you use a script?

comment:17 Changed 5 years ago by dk75

#:~/Desktop$ ps aux |grep -i virtual
dk75     17057  0.0  0.0   7456   968 pts/3    S+   22:24   0:00 grep -i virtual
#:~/Desktop$ ps aux |grep -i vbox
dk75     17060  0.0  0.0   7456   964 pts/3    S+   22:24   0:00 grep -i vbox
#:~/Desktop$ strace -s128 -f -o ~/Desktop/vbox.strace.20090413-222700.log /usr/lib/virtualbox/VirtualBox
Wrong mode (42700) of '/tmp/.vbox-dk75-ipc'.
Wrong mode (42700) of '/tmp/.vbox-dk75-ipc'.

 vbox_strace_2009-04-13_22:27:00.log

comment:18 in reply to: ↑ 16 Changed 5 years ago by ikrabbe

Replying to frank:

ikrabbe, your fix might work but is not correct. Please could you tell me how do you install the binaries of the OSE version, do you use a script?

The fix works. I used the 2.2.0_OSE.tar.bz2 package, unpacked it, build it (source env; ./configure && kmk all). I then changed into the out/release/bin folder and installed the modules as root. Finally I used chmod 4750 on the main executables and chown root:vboxusers -R on the whole bin folder.

Now I can start ./VirtualBox in that folder. That operation was the most near one to the install method I found in the docs. Maybe I have missed something but the Path problem is likely configured or hard linked in one of the Makefiles, which should have been generated on configure.

I haven't read anything about an install target, though it might exist in the Makefiles. The documentation is here a bit sparse.

comment:19 Changed 5 years ago by frank

dk75, thanks. Please could you tell me the output of

/bin/ls -ld /tmp

?

comment:20 Changed 5 years ago by frank

ikrabbe, please go to #3672, the correct solution is posted there. Actually you already were quite correct except that symlinks are better than copying the VBoxVMM.so file.

dk75, see my last comment.

aanno, please could you provide me an strace like I got one from dk75?

sudo chmod u+s /usr/bin/strace
killall VBoxSVC
strace -s128 -f -o ~/log /usr/lib/virtualbox/VirtualBox

comment:21 Changed 5 years ago by dk75

#:~$ ls -lA /usr/lib/virtualbox
razem 28859
drwxr-xr-x 2 root root     216 2009-04-13 20:03 components
-rwxr-xr-x 1 root root  441480 2009-04-07 22:56 kchmviewer
-rw-r--r-- 1 root root  786560 2009-04-07 22:56 VBoxC.so
-rw-r--r-- 1 root root  118280 2009-04-07 22:56 VBoxDbg.so
-rw-r--r-- 1 root root   15688 2009-04-07 22:56 VBoxDD2GC.gc
-rw-r--r-- 1 root root   22560 2009-04-07 22:56 VBoxDD2R0.r0
-rw-r--r-- 1 root root  178344 2009-04-07 22:56 VBoxDD2.so
-rw-r--r-- 1 root root   98112 2009-04-07 22:56 VBoxDDGC.gc
-rw-r--r-- 1 root root  131328 2009-04-07 22:56 VBoxDDR0.r0
-rw-r--r-- 1 root root 1815280 2009-04-07 22:56 VBoxDD.so
-rw-r--r-- 1 root root  169000 2009-04-07 22:56 VBoxDDU.so
-rw-r--r-- 1 root root   31032 2009-04-07 22:56 VBoxGuestPropSvc.so
-r-s--x--x 1 root root   26952 2009-04-07 22:56 VBoxHeadless
-rw-r--r-- 1 root root   60008 2009-04-07 22:56 VBoxHeadless.so
-rw-r--r-- 1 root root   62480 2009-04-07 22:56 VBoxKeyboard.so
-rwxr-xr-x 1 root root  474344 2009-04-07 22:56 VBoxManage
-r-s--x--x 1 root root   10384 2009-04-07 22:56 VBoxNetAdpCtl
-r-s--x--x 1 root root   26952 2009-04-07 22:56 VBoxNetDHCP
-rw-r--r-- 1 root root   35128 2009-04-07 22:56 VBoxNetDHCP.so
-rw-r--r-- 1 root root  134288 2009-04-07 22:56 VBoxOGLhostcrutil.so
-rw-r--r-- 1 root root  134560 2009-04-07 22:56 VBoxOGLhosterrorspu.so
-rw-r--r-- 1 root root  131272 2009-04-07 22:56 VBoxOGLrenderspu.so
-rw-r--r-- 1 root root  200960 2009-04-07 22:56 VBoxPython.so
-rw-r--r-- 1 root root  547336 2009-04-07 22:56 VBoxREM.so
-rw-r--r-- 1 root root  603488 2009-04-07 22:56 VBoxRT.so
-r-s--x--x 1 root root   26944 2009-04-07 22:56 VBoxSDL
-rw-r--r-- 1 root root  134304 2009-04-07 22:56 VBoxSDL.so
-rw-r--r-- 1 root root  109848 2009-04-07 22:56 VBoxSettings.so
-rw-r--r-- 1 root root   35160 2009-04-07 22:56 VBoxSharedClipboard.so
-rw-r--r-- 1 root root  725256 2009-04-07 22:56 VBoxSharedCrOpenGL.so
-rw-r--r-- 1 root root   31040 2009-04-07 22:56 VBoxSharedFolders.so
-rwxr-xr-x 1 root root 1817064 2009-04-07 22:56 VBoxSVC
-rw-r--r-- 1 root root   10464 2009-04-07 22:56 VBoxSVCM.so
-rw-r--r-- 1 root root 1321600 2009-04-07 22:56 VBoxVMM.so
-rw-r--r-- 1 root root  176288 2009-04-07 22:56 VBoxVRDP.so
-rwxr-xr-x 1 root root 6570248 2009-04-07 22:56 vboxwebsrv
-rw-r--r-- 1 root root   25931 2009-04-07 22:54 VBoxXPCOMBase.xpt
-rw-r--r-- 1 root root   22888 2009-04-07 22:56 VBoxXPCOMC.so
-rw-r--r-- 1 root root  134512 2009-04-07 22:56 VBoxXPCOMIPCC.so
-rwxr-xr-x 1 root root   27296 2009-04-07 22:56 VBoxXPCOMIPCD
-rw-r--r-- 1 root root 1155168 2009-04-07 22:56 VBoxXPCOM.so
-r-s--x--x 1 root root   26952 2009-04-07 22:56 VirtualBox
-rw-r--r-- 1 root root 3887792 2009-04-07 22:56 VirtualBox.so
-rw-r--r-- 1 root root   30954 2009-04-07 22:53 VirtualBox_XPCOM.xpt
-rw-r--r-- 1 root root  418296 2009-04-07 22:56 VMMGC.gc
-rw-r--r-- 1 root root  633552 2009-04-07 22:56 VMMR0.r0
-rw-r--r-- 1 root root   10336 2009-04-07 22:56 VRDPAuth.so
-rwxr-xr-x 1 root root 5843968 2009-04-07 22:56 webtest
#:~$ ls -lA /usr/lib/virtualbox/components
razem 977
-rw-r--r-- 1 root root 786560 2009-04-07 22:56 VBoxC.so
-rw-r--r-- 1 root root  10464 2009-04-07 22:56 VBoxSVCM.so
-rw-r--r-- 1 root root  25931 2009-04-07 22:54 VBoxXPCOMBase.xpt
-rw-r--r-- 1 root root 134512 2009-04-07 22:56 VBoxXPCOMIPCC.so
-rw-r--r-- 1 root root  30954 2009-04-07 22:53 VirtualBox_XPCOM.xpt
#:~$  ls -ld /tmp
drwxrwsrwx 19 root root 520 2009-04-14 19:50 /tmp
#:~$ groups
dk75 adm dialout fax cdrom tape audio dip video plugdev users scanner fuse lpadmin netdev admin sambashare nut vboxusers uml-net
#:~$ killall VBoxSVC
VBoxSVC: nie zabito żadnego procesu
#:~$ ls -lA /tmp |grep vbox
#:~$ strace -s128 -f -o ~/Desktop/vbox.strace.20090414.194630.log /usr/lib/virtualbox/VirtualBox
Wrong mode (42700) of '/tmp/.vbox-dk75-ipc'.
Wrong mode (42700) of '/tmp/.vbox-dk75-ipc'.
#:~$ ls -lA /tmp |grep vbox
drwx--S--- 2 dk75 root  40 2009-04-14 19:42 .vbox-dk75-ipc
#:~$ rm -fR /tmp/.vbox-dk75-ipc
#:~$ ls -lA /tmp |grep vbox
#:~$ VirtualBox 
Wrong mode (42700) of '/tmp/.vbox-dk75-ipc'.
Wrong mode (42700) of '/tmp/.vbox-dk75-ipc'.
#:~$ ls -lA /tmp |grep vbox
drwx--S--- 2 dk75 root  40 2009-04-14 19:57 .vbox-dk75-ipc
#:~$ chown dk75:vboxusers /tmp/.vbox-dk75-ipc
#:~$ ls -lA /tmp |grep vbox
drwx--S--- 2 dk75 vboxusers  40 2009-04-14 20:00 .vbox-dk75-ipc
#:~$ VirtualBox
Wrong mode (42700) of '/tmp/.vbox-dk75-ipc'.
Wrong mode (42700) of '/tmp/.vbox-dk75-ipc'.
#:~$ ls -lA /tmp |grep vbox
drwx--S--- 2 dk75 root  40 2009-04-14 20:01 .vbox-dk75-ipc
#:~$ chown dk75:vboxusers /tmp/.vbox-dk75-ipc
#:~$ chmod 0777 /tmp/.vbox-dk75-ipc
#:~$ ls -lA /tmp |grep vbox
drwxrwsrwx 2 dk75 vboxusers  40 2009-04-14 20:01 .vbox-dk75-ipc
#:~$ VirtualBox
Wrong mode (42700) of '/tmp/.vbox-dk75-ipc'.
Wrong mode (42700) of '/tmp/.vbox-dk75-ipc'.
#:~$ ls -lA /tmp |grep vbox
drwx--S--- 2 dk75 root  40 2009-04-14 20:03 .vbox-dk75-ipc
#:~$ 

 vbox.strace.2009-04-14.19:46:30.log.tar.gz

Last working one ( VirtualBox ) on my system is 2.0.4 It started to do this "error" with 2.0.6, thru 2.1.0, 2.1.2, 2.1.4 and now 2.2.0 ( version that I've tryed ).

My system:

#:~$ uname -a
Linux Yakumo 2.6.27-11-generic #1 SMP Wed Apr 1 20:53:41 UTC 2009 x86_64 GNU/Linux
#:~$ dpkg-query -l 'dkms*'
Wybór=U=Nieznany/I=Instalacja/R=Usunięcie/P=Wyczyszczenie/H=Zatrzymanie
| Stan=N=Brak/I=Zainst./C=Skonfig./U=Rozpak./F=Nieskonfig./H=Wpół-zainst./W=Wyzw-czek/T=Wyzw-zapl
|/ Błędy?=(brak)/H=Wstrzym./R=Do przeinst./X=Obydwa (Stan,Błędy:wielk.lit.=źle)
||/ Nazwa                                                        Wersja                                                       Opis
+++-============================================================-============================================================-========================================================================================================================================
ii  dkms                                                         2.0.20.4-0ubuntu2.1                                          Dynamic Kernel Module Support Framework
#:~$ dpkg-query -l 'hal*'
Wybór=U=Nieznany/I=Instalacja/R=Usunięcie/P=Wyczyszczenie/H=Zatrzymanie
| Stan=N=Brak/I=Zainst./C=Skonfig./U=Rozpak./F=Nieskonfig./H=Wpół-zainst./W=Wyzw-czek/T=Wyzw-zapl
|/ Błędy?=(brak)/H=Wstrzym./R=Do przeinst./X=Obydwa (Stan,Błędy:wielk.lit.=źle)
||/ Nazwa                                                        Wersja                                                       Opis
+++-============================================================-============================================================-========================================================================================================================================
ii  hal                                                          0.5.11-4ubuntu4                                              Hardware Abstraction Layer
ii  hal-cups-utils                                               0.6.17+git20080728-0ubuntu2                                  CUPS integration with HAL
ii  hal-info                                                     20090128-0ubuntu1~intrepid2                                  Hardware Abstraction Layer - fdi files
#:~$ dpkg-query -l 'dbus*'
Wybór=U=Nieznany/I=Instalacja/R=Usunięcie/P=Wyczyszczenie/H=Zatrzymanie
| Stan=N=Brak/I=Zainst./C=Skonfig./U=Rozpak./F=Nieskonfig./H=Wpół-zainst./W=Wyzw-czek/T=Wyzw-zapl
|/ Błędy?=(brak)/H=Wstrzym./R=Do przeinst./X=Obydwa (Stan,Błędy:wielk.lit.=źle)
||/ Nazwa                                                        Wersja                                                       Opis
+++-============================================================-============================================================-========================================================================================================================================
ii  dbus                                                         1.2.4-0ubuntu1                                               simple interprocess messaging system
un  dbus-1                                                       <brak>                                                       (brak dostępnego opisu)
un  dbus-1-dev                                                   <brak>                                                       (brak dostępnego opisu)
un  dbus-1-utils                                                 <brak>                                                       (brak dostępnego opisu)
un  dbus-glib-1-dev                                              <brak>                                                       (brak dostępnego opisu)
un  dbus-qt-1                                                    <brak>                                                       (brak dostępnego opisu)
un  dbus-qt-1-dev                                                <brak>                                                       (brak dostępnego opisu)
un  dbus-qt-1c2                                                  <brak>                                                       (brak dostępnego opisu)
ii  dbus-x11                                                     1.2.4-0ubuntu1                                               simple interprocess messaging system (X11 deps)
#:~$ dpkg-query -s 'virtualbox-2.2'
Package: virtualbox-2.2
Status: install ok installed
Priority: optional
Section: misc
Installed-Size: 79752
Maintainer: Sun Microsystems, Inc. <info@virtualbox.org>
Architecture: amd64
Version: 2.2.0-45846_Ubuntu_intrepid
Replaces: virtualbox
Provides: virtualbox
Depends: libc6 (>= 2.7), libgcc1 (>= 1:4.1.1), libqt4-network (>= 4.4.3), libqtcore4 (>= 4.4.3), libqtgui4 (>= 4.4.3), libsdl1.2debian (>= 1.2.10-1), libssl0.9.8 (>= 0.9.8f-5), libstdc++6 (>= 4.2.1), libx11-6, libxcursor1 (>> 1.1.2), libxext6, libxml2 (>= 2.6.27), libxmu6, libxslt1.1 (>= 1.1.18), libxt6, python2.5 (>= 2.5), zlib1g (>= 1:1.1.4), psmisc, adduser
Pre-Depends: debconf (>= 1.1) | debconf-2.0
Recommends: libasound2, libpulse0, libsdl-ttf2.0-0, dkms, linux-headers, gcc, make, binutils, libhal1 (>= 0.5), pdf-viewer, libgl1
Conflicts: virtualbox
Conffiles:
 /etc/init.d/vboxdrv f1c3e7152addcb23e169db1fd383fe38
Description: Sun VirtualBox
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.
#:~$ cat /etc/fstab |grep /tmp
tmpfs						/tmp				tmpfs		defaults,size=4G,mode=2777	0	0
#:~$

comment:22 Changed 5 years ago by frank

No need to post more than I requested. The permissions of your /tmp directory are actually

drwxrwsrwx 19 root root 520 2009-04-14 19:50 /tmp

which is wrong. This permission will actually ensure that every file in that directory will have the group root which does not make sense. I will illustrate you that the permissions are wrong using the following example: In addition to your account dk75, create another user, for instance foo. Lets the user foo create a file /tmp/bar. Then try to delete /tmp/bar as user dk75:

su foo
touch /tmp/bar
exit
rm /tmp/bar

The user dk75 will be able to remove that file which is not intended. The correct permissions for /tmp are 1777 where the first digit is the 't' (temp) bit. Change the permissions of your /tmp directory to these permissions and try the above commands. You will observe that dk75 is not able to remove the file /tmp/bar which was created by user foo.

After you fixed the permissions, you will be able to start VBox again.

comment:23 Changed 5 years ago by dk75

Thanks. It work's, after half a year sticking to 2.0.4 I can use newest one again. I've tryed forum bur there the only sollution was to delete tmp files or dissable DBUS deamon. Thanks again. At the end it was related to /tmp permissions

comment:24 Changed 5 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

comment:25 Changed 4 years ago by DimanNe

  • Status changed from closed to reopened
  • Resolution fixed deleted

I get these messages:

Failed to create a new session.
Details:
Callee RC:
NS_ERROR_FACTORY_NOT_REGISTERED (0x80040154)

during the press Finish in the New Session dialog, and when starting OS in VirtualBox

Some info about my system:

Impedance# uname -a
FreeBSD Impedance 8.0-STABLE FreeBSD 8.0-STABLE #0: Sun Nov 29 10:24:10 MSK 2009     Void@Impedance:/usr/obj/usr/src/sys/GENERIC  i386
Impedance# pkg_info | grep virtualbox
virtualbox-ose-3.1.6_1 A general-purpose full virtualizer for x86 hardware
virtualbox-ose-kmod-3.1.6 VirtualBox kernel module for FreeBSD
Impedance# /bin/ls -ld /tmp
drwxrwxrwt  17 root  wheel  1024 31 мар 14:01 /tmp



P.S. Copying all *.so files from /usr/local/lib/virtualbox to /usr/local/lib/virtualbox/components leads to VirtualBox crash (Segmentation fault).

comment:26 Changed 4 years ago by DimanNe

Please close the ticket.
Recompiling all ports ( portupgrade -afk ) helps me.

comment:27 Changed 4 years ago by sandervl73

  • Status changed from reopened to closed
  • Resolution set to fixed

comment:28 Changed 4 years ago by Solo the human

  • Status changed from closed to reopened
  • Resolution fixed deleted

solo# VBoxHeadless -s ns01 Sun VirtualBox Headless Interface 3.1.6_OSE (C) 2008-2010 Sun Microsystems, Inc. All rights reserved.

VBoxHeadless: ERROR: failed to create a session object! ERROR: code NS_ERROR_FACTORY_NOT_REGISTERED (0x80040154) - Class not registered (extended info not available) Most likely, the VirtualBox COM server is not running or failed to start.

Some info about my system: solo# uname -a FreeBSD solo 8.0-STABLE FreeBSD 8.0-STABLE #0: Fri Apr 9 14:28:52 MSD 2010 root@solo:/usr/obj/usr/src/sys/g8a7m i386

system and virtualbox installed 09.04.2010 solo# pkg_info | grep virtualbox virtualbox-ose-3.1.6_2 A general-purpose full virtualizer for x86 hardware virtualbox-ose-kmod-3.1.6 VirtualBox kernel module for FreeBSD

comment:29 Changed 4 years ago by frank

  • Status changed from reopened to closed
  • Resolution set to worksforme

Sorry, but FreeBSD is not a supported host. This kind of error usually means that some file is not installed at the correct place. Make sure that the dependencies of all libraries can be satisfied (on Linux this is ldd on all .so files).

comment:30 Changed 3 years ago by changs

  • Status changed from closed to reopened
  • Resolution worksforme deleted

I installed Virtualbox 4.0.8 on Arch Linux x86_64 and have the same problem. I had run Virtualbox after install without problems but after a restart of host system I cannot run it anymore.

I've tried these solution:

  • install Virtualbox from Linux installer provided on virtualbox.org
  • run hal, stop dbus and other combinations
  • setting permissions

 https://gist.github.com/1022659 Strace log

# /bin/ls -ld /tmp
drwxrwxrwt 6 root root 4096 Jun 13 13:41 /tmp

Also when I run

# /usr/lib/virtualbox/VBoxSVC
VBoxSVC: error: Failed to get IPC service! (rc=NS_ERROR_FACTORY_NOT_REGISTERED)
XPCOM server has shutdown.

comment:31 Changed 3 years ago by frank

Still relevant? If so, what happens if you try to start /usr/lib/virtualbox/VBoxSVC directly, any error message?

comment:32 Changed 3 years ago by frank

  • Status changed from reopened to closed
  • Resolution set to fixed

Reopen if necessary.

comment:33 Changed 6 months ago by _Josh_

Wow 5 yrs old? Mine just stopped working after months of working fine. PS > the signup process on this website is very unfriendly (ex. asks for username to login, but not on signup form, etc.)

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use